%define anolis_release 1

%global apiver 3.0
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%global glibmm24_version 2.54.0
%global gtk3_version 3.24.0
%global cairomm_version 1.12.0
%global pangomm_version 2.38.2
%global gdk_pixbuf2_version 2.35.5
%global atkmm_version 2.24.2

Name:           gtkmm30
Version:        3.24.7
Release:        %{anolis_release}%{dist}

Summary:        C++ interface for the GTK+ library

License:        LGPLv2+
URL:            https://www.gtkmm.org/
Source0:        https://download.gnome.org/sources/gtkmm/%{release_version}/gtkmm-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libxslt
BuildRequires:  m4
BuildRequires:  meson
BuildRequires:  mm-common
BuildRequires:  pkgconfig(atkmm-1.6) >= %{atkmm_version}
BuildRequires:  pkgconfig(cairomm-1.0) >= %{cairomm_version}
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf2_version}
BuildRequires:  pkgconfig(glibmm-2.4) >= %{glibmm24_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(pangomm-1.4) >= %{pangomm_version}

Requires:       atkmm >= %{atkmm_version}
Requires:       cairomm >= %{cairomm_version}
Requires:       gdk-pixbuf2 >= %{gdk_pixbuf2_version}
Requires:       glibmm24 >= %{glibmm24_version}
Requires:       gtk3 >= %{gtk3_version}
Requires:       pangomm >= %{pangomm_version}

%description
gtkmm is the official C++ interface for the popular GUI library GTK+.
Highlights include type safe callbacks, and a comprehensive set of
widgets that are easily extensible via inheritance.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       %{name} = %{EVR}
Requires:       glibmm24-doc

%description    doc
This package contains the full API documentation for %{name}.

%prep
%setup -q -n gtkmm-%{version}

# Copy demos before build to avoid including built binaries in -doc package
mkdir -p _docs
cp -a demos/ _docs/

%build
%meson -Dbuild-documentation=true
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libgdkmm-%{apiver}.so.1*
%{abidir}/libgdkmm-%{apiver}.dump
%{_libdir}/libgtkmm-%{apiver}.so.1*
%{abidir}/libgtkmm-%{apiver}.dump

%files devel
%{_includedir}/gtkmm-%{apiver}/
%{_includedir}/gdkmm-%{apiver}/
%{_libdir}/libgdkmm-%{apiver}.so
%{_libdir}/libgtkmm-%{apiver}.so
%{_libdir}/gtkmm-%{apiver}/
%{_libdir}/gdkmm-%{apiver}/
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_docdir}/gtkmm-%{apiver}/
%doc %{_datadir}/devhelp/
%doc _docs/*
%doc AUTHORS NEWS README

%changelog
* Fri Mar 24 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.24.7-1
- Init package from upstream
